import com.sun.java.swing.*;
import java.awt.*;
import java.awt.event.*;

public class GraphPlotr extends JFrame
implements TimeInterface				
{
    Graph_Pane graph_pane;
    public GraphPlotr(String label,double values[], 
		      double start_time,double end_time)
    {
	super("Graph Plotter");
	getContentPane().setLayout(new BorderLayout(0,0));
	Dimension screen_size = Toolkit.getDefaultToolkit().getScreenSize();
	addWindowListener(new WindowAdapter() {
	    public void windowClosing(WindowEvent e){
		Window w = e.getWindow();
		w.setVisible(false);
		w.dispose();
		System.exit(0);
	    }
	});
	graph_pane = new Graph_Pane(label,values,start_time,end_time);
	getContentPane().add(graph_pane,BorderLayout.CENTER);
	graph_pane.setTimeListener(this);
	graph_pane.moveMarkerTo(15.0);
	pack();
    }

    public static void main(String args[])
    {
	int i;    // for loop variables.
	int size =(int)(Math.random()*500);
	double random_vals[] = new double[size];
	
	for (i=0;i<random_vals.length;i++)
	    random_vals[i]=(Math.random()*10);

	GraphPlotr main_frame =
	    new GraphPlotr("Who knows???",random_vals, 0.0025,20);
       	main_frame.pack();
	main_frame.setVisible(true);
    }
    public void showTime(double time){}
    public void closePreview()
    {
	setVisible(false);
	dispose();
    }

}
    
        
	
	
